Subject: 25.1; Can't use dired with spaces or special characters in folder names using tramp

From: Alex Branham <[email-masked]>
Date: Wed, 11 Jan 2017 16:00:31 -0600

I can't navigate (or do anything else like dired-do-chmod) using dired when directories have spaces or special characters over a tramp connection. I think it's because Emacs is putting quotes '' or "" around the folders in question.

Using `emacs -Q` and navigate to a directory like below. I can hit RET to go to Folder1 but neither 'Folder 2' nor "Folder's 4". Note that the folders don't actually have quotation marks in their name --- Emacs is adding that in the dired buffer. 

  drwxrwsr-x  3 owner group 4096 Jan  9 19:29  Folder1
  drwxrwsr-x  3 owner group 4096 Jan  9 20:47 'Folder 2'
  drwxrwsr-x  3 owner group 4096 Jan  9 19:30 "Folder's_3"

In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.5)
 of 2016-12-23 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
 -fstack-protector-strong' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

-- 
J. Alexander Branham
PhD Candidate
Department of Government
University of Texas at Austin
https://www.jabranham.com